跳至內容

Mureka 9.5 Instrumental Generation

整合

模型 id mureka/api/generate/instrumental
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/mureka/api/generate/instrumental?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.225 225 API 點數 在此頁面執行

取得 API 金鑰
Mureka 文字轉音樂 #music#instrumental#music-generation

從文字提示或上傳的器樂參考 ID 建立無人聲的器樂音軌

Mureka · 音訊

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

88 / 1024

作為 instrumental_id 替代提示詞提供的器樂描述;兩者必須提供其中一個且只能一個。

model 預設 mureka-9.5

選定用於器樂生成的模型。

進階 instrumental_id · enable_safety_checker

以 instrumental_id 取代提示詞提供的器樂 ID;必須提供其中一個。透過 /files/upload 並使用 purpose='instrumental' 取得 ID。

POST /run/mureka/api/generate/instrumental?wait=20 報價 → $0.225
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/mureka/api/generate/instrumental?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Mureka 9.5 Instrumental Generation

從 `prompt`(最多 1024 個字元)或先前上傳取得的 `instrumental_id` 產生器樂音樂;兩者必須且只能提供一個。`model` 欄位選擇版本:mureka-7.6、mureka-8、mureka-9 或 mureka-9.5(預設)。結果包含音訊檔案、可用時以毫秒表示的時長、可用時的計時歌詞區段,以及可供其他端點(例如歌詞影片)重複使用的 `song_id`。

參數

名稱類型 預設值允許值 說明
model選填
類型enum
預設值mureka-9.5
mureka-7.6mureka-8mureka-9mureka-9.5
選定用於器樂生成的模型。
prompt選填
類型string | null
≤ 1,024 個字元
作為 instrumental_id 替代提示詞提供的器樂描述;兩者必須提供其中一個且只能一個。
instrumental_id選填
類型string | null
以 instrumental_id 取代提示詞提供的器樂 ID;必須提供其中一個。透過 /files/upload 並使用 purpose='instrumental' 取得 ID。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "mureka/api/generate/instrumental",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 225,
    "usd": "0.225",
    "charged": 225,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "song_id": "string",
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "duration": 5,
    "lyrics_sections": [
      {
        "section_type": "intro",
        "start": 1,
        "end": 1,
        "lines": [
          {}
        ]
      }
    ]
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
song_id
string | null供接受 song_id 的端點重複使用的音訊識別碼。
audio
object {url, content_type, file_name, file_size}生成產生的音訊檔案。
duration
integer | null可用時,生成音訊的長度,以毫秒計算。
lyrics_sections
array of object {section_type, start, end, lines} | null可用時,包含生成音訊時間資訊的歌詞段落。

更多模型:文字轉音樂

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/mureka/api/generate/instrumental.md. 所有模型與指南: https://doitong.com/developers/llms.txt